4 # ======================================================================
7 usage: $prog [--one-file <file>] <top-dir>
13 ( cd / ; /bin/pwd -P ) >/dev/null 2>&1
14 if (( $? == 0 )); then
18 thisdir=`cd ${reldir} && /bin/pwd ${pwd_P_arg}`
21 ##function one_file() {
24 ## # Optionally fix whitespace
25 ## (( ${fix_whitespace:-0} )) && ed "$F" < fix-whitespace.ed > /dev/null 2>&1
27 ## perl -wapi\~ -f ${thisdir}/fix-header-locs-nutools.pl "${F}" >/dev/null 2>&1 && rm -f "${F}~"
30 function cmake_file() {
33 # Optionally fix whitespace
34 (( ${fix_whitespace:-0} )) && ed "$F" < fix-whitespace.ed > /dev/null 2>&1
36 perl -wapi\~ -f ${thisdir}/update_cmake_cetb8.pl "${F}" >/dev/null 2>&1 && rm -f "${F}~"
39 # ======================================================================
41 getopt -T >/dev/null 2>&1
42 if (( $? != 4 )); then
43 echo "ERROR: GNU getopt required! Check SETUP_GETOPT and PATH." 1>&2
47 TEMP=`getopt -n "$prog" -o a --long all-lumi-cases --long one-file: --long no-fix-pset -- "${@}"`
64 echo "Bad argument \"$OPT\"" 1>&2
74 # ======================================================================
75 # Run scripts to update
77 TMP=`mktemp -t update_sources.sh.XXXXXX`
78 trap "rm $TMP* 2>/dev/null" EXIT
80 if [[ -n "${file}" ]]; then
81 if ! [[ -r "${file}" ]]; then
82 echo "ERROR: ${file} does not exist or is not readable." 1>&2
88 ## for F in `find $TOP \( -name "*.c*" -o -name "*.C*" -o -name "*.icc" -o -name "*.h*" -o -name "*.H*" \) -print`; do
92 for F in `find $TOP -name CMakeLists.txt -print`; do